# windesheim-iac

### Setup ESXi Hypervisor

1. In Skylab request a new ESXi hypervisor with 4 cores and 16 gb of RAM.

![ESXi Request](images\skylab_ESXi_request.png)

2. Add a new dish with 50 gb of storage.

![New Disk](images\skylab_new_disk.png)

>[!NOTE]  
>The hypervisor does not accept SSH connections yet, or incoming connections from the VPN Network.

3. Connect to the remote console of the ESXi hypervisor.
   1. Press F2 to login.
   2. Navigate to `Troubleshooting Options` → `Enable SSH`.
   3. Restart Management Agents (under "Restart Management Network").
4. From within a reachable VM on the VPN Network, SSH into the ESXi Hypervisor. (e.g. first SSH into `192.168.1.10`, then from that session SSH into `192.168.1.5`)
   1. Enable incoming trafic from the VPN subnet: `esxcli network ip route ipv4 add --gateway=192.168.1.1 --network=10.0.0.0/24`
   2. Enable this on startup:
      1. `vi /etc/rc.local.d/local.sh`
      2. Add just before the final `exit 0` line: `esxcli network ip route ipv4 add --gateway=192.168.1.1 --network=10.0.0.0/24`

Now you can access the ESXi dashboard on `192.168.1.5` (or whatever the ip of the hypervisor is).